<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 * @since      1.0.0
 *
 * @package    WP_Head_Optimizer
 * @subpackage WP_Head_Optimizer/admin/partials
 */
function wp_head_optimizer_admin_area(){
	$nonce = wp_create_nonce("save_wpho_value");
?>
<h1 class="wpho_main_title"><?php echo __('WP Head Optimizer','wpho'); ?></h1>
<div class="wpho_main">
  <h4><?php echo __('Here you can enable / disable extra scripts, urls, feed urls, meta data generated by WordPress / Plugins','wpho'); ?></h4>
  <?php if($_REQUEST['res'] == 'suc'){ ?>
  <div class="wpho_message">
    <div id="message" class="updated notice notice-success is-dismissible">
      <p><?php echo __('Saved Successfully.','wpho'); ?></p>
      <button type="button" class="notice-dismiss"><span class="screen-reader-text"><?php echo __('Dismiss this notice.','wpho'); ?></span></button>
    </div>
  </div>
  <?php } ?>
  <div class="wpho_left">
    <form name="wpho_form" id="wpho_form">
      <input type="hidden" name="wpho_nonce" id="wpho_nonce" value="<?php echo $nonce; ?>" />
      <table class="widefat" width="50%">
        <tr>
            <th colspan="3"><h2><?php echo __('Select options to remove from header area','wpho'); ?></h2></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Disable WP Emoji:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_emoji" <?php checkOptionValue('_wpho_emoji'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>Remove Emoji Script and Styles from header','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove Canonical URL:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_canonical" <?php checkOptionValue('_wpho_canonical'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="canonical" href="http://www.yourwebsite.com/your-post" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove WordPress Version:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_wp_version" <?php checkOptionValue('_wpho_wp_version'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;meta name="generator" content="WordPress 4.x" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove Shortlink:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_shortlink" <?php checkOptionValue('_wpho_shortlink'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="shortlink" href="http://www.yourwebsite.com/?p=x" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove RSS Feed URL:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_rss_feed" <?php checkOptionValue('_wpho_rss_feed'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="alternate" type="application/rss+xml" title="Your Site name &raquo; Feed" href="http://www.yourwebsite.com/feed" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove EditURI Link:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_edituri" <?php checkOptionValue('_wpho_edituri'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="EditURI" type="application/rsd+xml" title="RSD" href="http://www.yourwebsite.com/xmlrpc.php?rsd" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Disable JSON API:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_jsonapi" <?php checkOptionValue('_wpho_jsonapi'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="https://api.w.org/" href="http://www.yourwebsite.com/wp-json" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove Style and Script Versions:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_ss_vesions" <?php checkOptionValue('_wpho_ss_vesions'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>yourstyle.css?ver=X AND yourscript.js?ver=X','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove WLW Manifest:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_wlwmanifest" <?php checkOptionValue('_wpho_wlwmanifest'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __('<strong>e.g: </strong>&lt;link rel="wlwmanifest" type="application/wlwmanifest+xml" href="http://www.yourwebsite.com/wp-includes/wlwmanifest.xml" /&gt;','wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove Next/Previous Post URLs Links:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_np_urls" <?php checkOptionValue('_wpho_np_urls'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __("<strong>e.g: </strong>&lt;link rel='next' title='Post Title' href='http://www.yourwebsite.com/post-slug' /&gt;",'wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove REST API link tag:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_restapi_link" <?php checkOptionValue('_wpho_restapi_link'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __("<strong>e.g: </strong>&lt;link rel='https://api.w.org/' href='http://www.yourwebsite.com/?rest_route=/' /&gt;",'wpho'); ?></td>
        </tr>
        <tr>
          <td width="30%"><?php echo __('<strong>Remove oEmbed Discovery Links:</strong>','wpho'); ?></td>
          <td class="wpho_chk"><input type="checkbox" name="_wpho_oembed_desc_link" <?php checkOptionValue('_wpho_oembed_desc_link'); ?> value="1" /></td>
          <td class="wpho_opt_desc"><?php echo __("<strong>e.g: </strong>&lt;link rel='alternate' type='application/json+oembed' href='http://www.yourwebsite.com/?rest_route=%2Foembed%2F1.0%2Fembed&#038;url=http%3A%2F%2Fyourwebsite.com%2F%3Fp%3D1' /&gt; <br/> &lt;link rel='alternate' type='text/xml+oembed' href='http://www.yourwebsite.com/?rest_route=%2Foembed%2F1.0%2Fembed&#038;url=http%3A%2F%2Fyourwebsite.com%2Fpath%2F%3Fp%3D1&#038;format=xml' /&gt;",'wpho'); ?></td>
        </tr>
        <tr>
          <td colspan="3" align="right"><input type="button" class="button button-primary" id="SaveWPHOData" name="SaveWPHOData" value="Save"></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php } ?>